%choose the generator and set the seed
s = RandStream('mcg16807','Seed',0);
RandStream.setDefaultStream(s);

%generate interval Hessians of varying sizes and densities
Hrandom = cell(8000,1);
cnt = 1;
for Msize = 3:6
    for Mdensity = 0.4 : 0.2 : 1
        for N = 1:500
			radius = abs( sprandsym(Msize, Mdensity) + diag(rand(Msize,1)) );
            A = randn(Msize);
            midpoint = (A+A')/sqrt(2);
            midpoint(radius == 0) = 0;
            lower = midpoint - radius;
            upper = midpoint + radius;
            Hrandom{cnt} = struct('L', lower, 'U', upper);
            cnt = cnt + 1;
        end
    end
end
